com.taosdata.jdbc.enums

## Enum TmqMessageType

- java.lang.Object
- - java.lang.Enum<TmqMessageType>
  - - com.taosdata.jdbc.enums.TmqMessageType

All Implemented Interfaces:
  Serializable, Comparable<TmqMessageType>

    public enum TmqMessageType
    extends Enum<TmqMessageType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`TMQ_RES_DATA`
`TMQ_RES_INVALID`
`TMQ_RES_METADATA`
`TMQ_RES_TABLE_META`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getCode()`
`static TmqMessageType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TmqMessageType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TMQ_RES_INVALID

    public static final TmqMessageType TMQ_RES_INVALID

#### TMQ_RES_DATA

    public static final TmqMessageType TMQ_RES_DATA

#### TMQ_RES_TABLE_META

    public static final TmqMessageType TMQ_RES_TABLE_META

#### TMQ_RES_METADATA

    public static final TmqMessageType TMQ_RES_METADATA

### Method Detail

#### values

    public static TmqMessageType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TmqMessageType c : TmqMessageType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TmqMessageType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getCode

    public int getCode()